%define upstream_name    Term-Animation
%define upstream_version 2.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    ASCII sprite animation framework 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/K/KB/KBAUCOM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses) >= 1.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides a framework to produce sprite animations using ASCII art.
Each ASCII 'sprite' is given one or more frames, and placed into the animation
as an 'animation object'. An animation object can have a callback routine that
controls the position and frame of the object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# pod coverage fails - https://rt.cpan.org/Ticket/Display.html?id=67023
rm -f t/pod-coverage.t
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml MIGRATION README examples
%{perl_vendorlib}/Term
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.600.0-2.mga3
+ Revision: 373199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 04 2011 jquelin <jquelin> 2.600.0-1.mga1
+ Revision: 80389
- update to 2.6

* Mon Mar 28 2011 jquelin <jquelin> 2.500.0-1.mga1
+ Revision: 78394
- update to 2.5

* Sat Jan 22 2011 jquelin <jquelin> 2.400.0-1.mga1
+ Revision: 31227
- mageia rebuild
- imported package perl-Term-Animation

